> ## Documentation Index
> Fetch the complete documentation index at: https://docs.collab-kit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

> Update an existing webhook's configuration.

Update a webhook's URL, events, room scope, or enabled state. At least one field must be provided.

## Endpoint

```
PATCH /v1/accounts/:accountId/webhooks/:id
```

## Authentication

**Bearer token** required.

## Path Parameters

<ParamField path="id" type="string" required>
  The webhook's unique ID.
</ParamField>

## Request Body

All fields are optional, but at least one must be provided.

<ParamField body="url" type="string">
  New delivery URL.
</ParamField>

<ParamField body="events" type="string[]">
  New list of subscribed events.
</ParamField>

<ParamField body="roomId" type="string | null">
  New room scope. Set to `null` to subscribe to events from all rooms.
</ParamField>

<ParamField body="enabled" type="boolean">
  Enable or disable the webhook.
</ParamField>

## Response

<ResponseField name="webhook" type="WebhookRegistrationPublic">
  The updated webhook object (without the `secret` field). See [`WebhookRegistrationPublic`](/types/webhooks#webhookregistrationpublic).
</ResponseField>

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X PATCH https://api.collab-kit.com/v1/accounts/${ACCOUNT_ID}/webhooks/wh_abc123 \
    -H "Authorization: Bearer ${TOKEN}" \
    -H "Content-Type: application/json" \
    -d '{
      "events": ["participant.joined", "participant.left", "user.created"],
      "enabled": true
    }'
  ```

  ```typescript JavaScript theme={null}
  const res = await fetch(`https://api.collab-kit.com/v1/accounts/${accountId}/webhooks/wh_abc123`, {
    method: 'PATCH',
    headers: {
      'Authorization': `Bearer ${token}`,
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      events: ['participant.joined', 'participant.left', 'user.created'],
      enabled: true,
    }),
  });
  const { data } = await res.json();
  ```
</CodeGroup>

```json Response theme={null}
{
  "type": "response",
  "success": true,
  "description": "Webhook updated",
  "data": {
    "webhook": {
      "id": "wh_abc123",
      "organization_id": "a1b2c3d4-...",
      "url": "https://api.example.com/collab-webhook",
      "events": ["participant.joined", "participant.left", "user.created"],
      "room_id": null,
      "enabled": true,
      "created_at": "2026-05-29T10:00:00.000Z",
      "updated_at": "2026-05-29T11:00:00.000Z"
    }
  },
  "error": null
}
```
